# InvokeBindingRequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class InvokeBindingRequest

- java.lang.Object
- - io.dapr.client.domain.InvokeBindingRequest

    public class InvokeBindingRequest
    extends Object

A request to invoke binding.

### Constructor Summary

Constructors
`InvokeBindingRequest​(String bindingName, String operation)` Constructor for InvokeBindingRequest.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getData()`
`Map<String,​String>` `getMetadata()`
`String` `getName()`
`String` `getOperation()`
`InvokeBindingRequest` `setData​(Object data)`
`InvokeBindingRequest` `setMetadata​(Map<String,​String> metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvokeBindingRequest

    public InvokeBindingRequest​(String bindingName,
                                String operation)

Constructor for InvokeBindingRequest.

Parameters:
  `bindingName` - Name of the binding
  `operation` - Name of the binding operation

### Method Detail

#### getName

    public String getName()

#### getOperation

    public String getOperation()

#### getData

    public Object getData()

#### setData

    public InvokeBindingRequest setData​(Object data)

#### getMetadata

    public Map<String,​String> getMetadata()

#### setMetadata

    public InvokeBindingRequest setMetadata​(Map<String,​String> metadata)